Gradle-scalatest 0.17 missing artefacts


(May Fly) #1

Hi,

https://github.com/maiflai/gradle-scalatest/issues/55 has been raised against gradle-scalatest because the plugin portal reports 0.17 is available, but it cannot be used.

I see the following error when trying to use it:

Could not find gradle.plugin.com.github.maiflai:gradle-scalatest:0.17.
Searched in the following locations:
https://plugins.gradle.org/m2/gradle/plugin/com/github/maiflai/gradle-scalatest/0.17/gradle-scalatest-0.17.pom
https://plugins.gradle.org/m2/gradle/plugin/com/github/maiflai/gradle-scalatest/0.17/gradle-scalatest-0.17.jar

I used version 0.9.2 of the publish plugin to upload version 0.17 of gradle-scalatest to the portal. It sounds similar to other topics; please could you advise?

I expect that 0.17 needs to be removed and then I should republish using 0.9.8 of the publish plugin.

Thanks,
Stu


(Tim Yates) #2

Hi Stu,

I can remove that version for you now if you are ready to re-publish?


I have removed v0.17 from the plugin repository, you are free to re-publish with a newer version of the plugin-publish plugin


Your guess about the issue is correct as well, versions prior to 0.9.7 can cause the artefacts to fail when writing to the datastore :frowning: Sorry about that…

The latest publish plugin is 0.9.9

Cheers,

Tim


(Tim Yates) #3

Updated response, I have deleted 0.17 for you, and you are free to re-publish

Sorry about that

Cheers,

Tim


(May Fly) #4

Great, thanks very much.

I’ll update to 0.9.9.